POST /api/conversations/{conversationId}/stream
curl --request POST \
--url https://app.worksong.ai/api/conversations/{conversationId}/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"idempotencyKey": "<string>",
"model": "<string>",
"maxTurns": 500,
"maxBudgetUsd": 123,
"detach": true,
"fileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://app.worksong.ai/api/conversations/{conversationId}/stream"
payload = {
"text": "<string>",
"idempotencyKey": "<string>",
"model": "<string>",
"maxTurns": 500,
"maxBudgetUsd": 123,
"detach": True,
"fileIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
idempotencyKey: '<string>',
model: '<string>',
maxTurns: 500,
maxBudgetUsd: 123,
detach: true,
fileIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.worksong.ai/api/conversations/{conversationId}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/conversations/{conversationId}/stream",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>',
'idempotencyKey' => '<string>',
'model' => '<string>',
'maxTurns' => 500,
'maxBudgetUsd' => 123,
'detach' => true,
'fileIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/conversations/{conversationId}/stream"
payload := strings.NewReader("{\n \"text\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"model\": \"<string>\",\n \"maxTurns\": 500,\n \"maxBudgetUsd\": 123,\n \"detach\": true,\n \"fileIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/conversations/{conversationId}/stream")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"model\": \"<string>\",\n \"maxTurns\": 500,\n \"maxBudgetUsd\": 123,\n \"detach\": true,\n \"fileIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/conversations/{conversationId}/stream")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"model\": \"<string>\",\n \"maxTurns\": 500,\n \"maxBudgetUsd\": 123,\n \"detach\": true,\n \"fileIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body<string>Messages
POST /api/conversations/{conversationId}/stream
POST
/
api
/
conversations
/
{conversationId}
/
stream
POST /api/conversations/{conversationId}/stream
curl --request POST \
--url https://app.worksong.ai/api/conversations/{conversationId}/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"idempotencyKey": "<string>",
"model": "<string>",
"maxTurns": 500,
"maxBudgetUsd": 123,
"detach": true,
"fileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://app.worksong.ai/api/conversations/{conversationId}/stream"
payload = {
"text": "<string>",
"idempotencyKey": "<string>",
"model": "<string>",
"maxTurns": 500,
"maxBudgetUsd": 123,
"detach": True,
"fileIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
idempotencyKey: '<string>',
model: '<string>',
maxTurns: 500,
maxBudgetUsd: 123,
detach: true,
fileIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.worksong.ai/api/conversations/{conversationId}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/conversations/{conversationId}/stream",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>',
'idempotencyKey' => '<string>',
'model' => '<string>',
'maxTurns' => 500,
'maxBudgetUsd' => 123,
'detach' => true,
'fileIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/conversations/{conversationId}/stream"
payload := strings.NewReader("{\n \"text\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"model\": \"<string>\",\n \"maxTurns\": 500,\n \"maxBudgetUsd\": 123,\n \"detach\": true,\n \"fileIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/conversations/{conversationId}/stream")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"model\": \"<string>\",\n \"maxTurns\": 500,\n \"maxBudgetUsd\": 123,\n \"detach\": true,\n \"fileIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/conversations/{conversationId}/stream")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"model\": \"<string>\",\n \"maxTurns\": 500,\n \"maxBudgetUsd\": 123,\n \"detach\": true,\n \"fileIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body<string>Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 1000000Required string length:
8 - 200Pattern:
^[A-Za-z0-9._:-]+$Required string length:
1 - 128Pattern:
^[A-Za-z0-9._@:/-]+$Required range:
1 <= x <= 1000Required range:
x <= 1000Available options:
low, medium, high, xhigh, max Maximum array length:
8Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
A server-sent event stream.
The response is of type string.